org.apache.tinkerpop.gremlin.process.traversal.step.filter

## Class RangeTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.filter.RangeTest

- Direct Known Subclasses:
    RangeTest.Traversals

      public abstract class RangeTest
      extends AbstractGremlinProcessTest

  Author:
    Marko A. Rodriguez (http://markorodriguez.com), Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RangeTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RangeTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_V_asXaX_in_asXaX_in_asXaX_selectXaX_byXunfold_valuesXnameX_foldX_limitXlocal_1X()` Scenario: limit step, Scope.local, 1 item requested, List input, String output
    `void` | `g_V_asXaX_in_asXaX_in_asXaX_selectXaX_byXunfold_valuesXnameX_foldX_limitXlocal_2X()` Scenario: limit step, Scope.local, >1 item requested, List input, List output
    `void` | `g_V_asXaX_in_asXbX_in_asXcX_selectXa_b_cX_byXnameX_limitXlocal_1X()` Scenario: limit step, Scope.local, 1 item requested, Map input, Map output
    `void` | `g_V_asXaX_in_asXbX_in_asXcX_selectXa_b_cX_byXnameX_limitXlocal_2X()` Scenario: limit step, Scope.local, >1 item requested, Map input, Map output
    `void` | `g_V_asXaX_out_asXaX_out_asXaX_selectXaX_byXunfold_valuesXnameX_foldX_rangeXlocal_1_2X()` Scenario: range step, Scope.local, 1 item requested, List input, String output
    `void` | `g_V_asXaX_out_asXaX_out_asXaX_selectXaX_byXunfold_valuesXnameX_foldX_rangeXlocal_1_3X()` Scenario: range step, Scope.local, >1 item requested, List input, List output
    `void` | `g_V_asXaX_out_asXaX_out_asXaX_selectXaX_byXunfold_valuesXnameX_foldX_rangeXlocal_4_5X()` Scenario: range step, Scope.local, 1 item requested, List input, no items selected, stop traversal
    `void` | `g_V_asXaX_out_asXbX_out_asXcX_selectXa_b_cX_byXnameX_rangeXlocal_1_2X()` Scenario: range step, Scope.local, 1 item requested, Map input, Map output
    `void` | `g_V_asXaX_out_asXbX_out_asXcX_selectXa_b_cX_byXnameX_rangeXlocal_1_3X()` Scenario: range step, Scope.local, >1 item requested, Map input, Map output
    `void` | `g_V_localXoutE_limitX1X_inVX_limitX3X()`
    `void` | `g_V_repeatXbothX_timesX3X_rangeX5_11X()`
    `void` | `g_VX1X_out_limitX2X()`
    `void` | `g_VX1X_outXcreatedX_inEXcreatedX_rangeX1_3X_outV()`
    `void` | `g_VX1X_outXcreatedX_inXcreatedX_rangeX1_3X()`
    `void` | `g_VX1X_outXknowsX_outEXcreatedX_rangeX0_1X_inV()`
    `void` | `g_VX1X_outXknowsX_outXcreatedX_rangeX0_1X()`
    `abstract Traversal<Vertex,String>` | `get_g_V_asXaX_in_asXaX_in_asXaX_selectXaX_byXunfold_valuesXnameX_foldX_limitXlocal_1X()`
    `abstract Traversal<Vertex,List<String>>` | `get_g_V_asXaX_in_asXaX_in_asXaX_selectXaX_byXunfold_valuesXnameX_foldX_limitXlocal_2X()`
    `abstract Traversal<Vertex,Map<String,String>>` | `get_g_V_asXaX_in_asXbX_in_asXcX_selectXa_b_cX_byXnameX_limitXlocal_1X()`
    `abstract Traversal<Vertex,Map<String,String>>` | `get_g_V_asXaX_in_asXbX_in_asXcX_selectXa_b_cX_byXnameX_limitXlocal_2X()`
    `abstract Traversal<Vertex,String>` | `get_g_V_asXaX_out_asXaX_out_asXaX_selectXaX_byXunfold_valuesXnameX_foldX_rangeXlocal_1_2X()`
    `abstract Traversal<Vertex,List<String>>` | `get_g_V_asXaX_out_asXaX_out_asXaX_selectXaX_byXunfold_valuesXnameX_foldX_rangeXlocal_1_3X()`
    `abstract Traversal<Vertex,String>` | `get_g_V_asXaX_out_asXaX_out_asXaX_selectXaX_byXunfold_valuesXnameX_foldX_rangeXlocal_4_5X()`
    `abstract Traversal<Vertex,Map<String,String>>` | `get_g_V_asXaX_out_asXbX_out_asXcX_selectXa_b_cX_byXnameX_rangeXlocal_1_2X()`
    `abstract Traversal<Vertex,Map<String,String>>` | `get_g_V_asXaX_out_asXbX_out_asXcX_selectXa_b_cX_byXnameX_rangeXlocal_1_3X()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_V_localXoutE_limitX1X_inVX_limitX3X()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_V_repeatXbothX_timesX3X_rangeX5_11X()`
    `abstract Traversal<Vertex,Vertex>` | `get_g_VX1X_out_limitX2X(Object v1Id)`
    `abstract Traversal<Vertex,Vertex>` | `get_g_VX1X_outXcreatedX_inEXcreatedX_rangeX1_3X_outV(Object v1Id)`
    `abstract Traversal<Vertex,Vertex>` | `get_g_VX1X_outXcreatedX_inXcreatedX_rangeX1_3X(Object v1Id)`
    `abstract Traversal<Vertex,Vertex>` | `get_g_VX1X_outXknowsX_outEXcreatedX_rangeX0_1X_inV(Object v1Id)`
    `abstract Traversal<Vertex,Vertex>` | `get_g_VX1X_outXknowsX_outXcreatedX_rangeX0_1X(Object v1Id)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRandomCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RangeTest

          public RangeTest()

  - ### Method Detail

    - #### get_g_VX1X_out_limitX2X

          public abstract Traversal<Vertex,Vertex> get_g_VX1X_out_limitX2X(Object v1Id)

    - #### get_g_V_localXoutE_limitX1X_inVX_limitX3X

          public abstract Traversal<Vertex,Vertex> get_g_V_localXoutE_limitX1X_inVX_limitX3X()

    - #### get_g_VX1X_outXknowsX_outEXcreatedX_rangeX0_1X_inV

          public abstract Traversal<Vertex,Vertex> get_g_VX1X_outXknowsX_outEXcreatedX_rangeX0_1X_inV(Object v1Id)

    - #### get_g_VX1X_outXknowsX_outXcreatedX_rangeX0_1X

          public abstract Traversal<Vertex,Vertex> get_g_VX1X_outXknowsX_outXcreatedX_rangeX0_1X(Object v1Id)

    - #### get_g_VX1X_outXcreatedX_inXcreatedX_rangeX1_3X

          public abstract Traversal<Vertex,Vertex> get_g_VX1X_outXcreatedX_inXcreatedX_rangeX1_3X(Object v1Id)

    - #### get_g_VX1X_outXcreatedX_inEXcreatedX_rangeX1_3X_outV

          public abstract Traversal<Vertex,Vertex> get_g_VX1X_outXcreatedX_inEXcreatedX_rangeX1_3X_outV(Object v1Id)

    - #### get_g_V_repeatXbothX_timesX3X_rangeX5_11X

          public abstract Traversal<Vertex,Vertex> get_g_V_repeatXbothX_timesX3X_rangeX5_11X()

    - #### get_g_V_asXaX_in_asXaX_in_asXaX_selectXaX_byXunfold_valuesXnameX_foldX_limitXlocal_2X

          public abstract Traversal<Vertex,List<String>> get_g_V_asXaX_in_asXaX_in_asXaX_selectXaX_byXunfold_valuesXnameX_foldX_limitXlocal_2X()

    - #### get_g_V_asXaX_in_asXaX_in_asXaX_selectXaX_byXunfold_valuesXnameX_foldX_limitXlocal_1X

          public abstract Traversal<Vertex,String> get_g_V_asXaX_in_asXaX_in_asXaX_selectXaX_byXunfold_valuesXnameX_foldX_limitXlocal_1X()

    - #### get_g_V_asXaX_out_asXaX_out_asXaX_selectXaX_byXunfold_valuesXnameX_foldX_rangeXlocal_1_3X

          public abstract Traversal<Vertex,List<String>> get_g_V_asXaX_out_asXaX_out_asXaX_selectXaX_byXunfold_valuesXnameX_foldX_rangeXlocal_1_3X()

    - #### get_g_V_asXaX_out_asXaX_out_asXaX_selectXaX_byXunfold_valuesXnameX_foldX_rangeXlocal_1_2X

          public abstract Traversal<Vertex,String> get_g_V_asXaX_out_asXaX_out_asXaX_selectXaX_byXunfold_valuesXnameX_foldX_rangeXlocal_1_2X()

    - #### get_g_V_asXaX_out_asXaX_out_asXaX_selectXaX_byXunfold_valuesXnameX_foldX_rangeXlocal_4_5X

          public abstract Traversal<Vertex,String> get_g_V_asXaX_out_asXaX_out_asXaX_selectXaX_byXunfold_valuesXnameX_foldX_rangeXlocal_4_5X()

    - #### get_g_V_asXaX_in_asXbX_in_asXcX_selectXa_b_cX_byXnameX_limitXlocal_2X

          public abstract Traversal<Vertex,Map<String,String>> get_g_V_asXaX_in_asXbX_in_asXcX_selectXa_b_cX_byXnameX_limitXlocal_2X()

    - #### get_g_V_asXaX_in_asXbX_in_asXcX_selectXa_b_cX_byXnameX_limitXlocal_1X

          public abstract Traversal<Vertex,Map<String,String>> get_g_V_asXaX_in_asXbX_in_asXcX_selectXa_b_cX_byXnameX_limitXlocal_1X()

    - #### get_g_V_asXaX_out_asXbX_out_asXcX_selectXa_b_cX_byXnameX_rangeXlocal_1_3X

          public abstract Traversal<Vertex,Map<String,String>> get_g_V_asXaX_out_asXbX_out_asXcX_selectXa_b_cX_byXnameX_rangeXlocal_1_3X()

    - #### get_g_V_asXaX_out_asXbX_out_asXcX_selectXa_b_cX_byXnameX_rangeXlocal_1_2X

          public abstract Traversal<Vertex,Map<String,String>> get_g_V_asXaX_out_asXbX_out_asXcX_selectXa_b_cX_byXnameX_rangeXlocal_1_2X()

    - #### g_VX1X_out_limitX2X

          public void g_VX1X_out_limitX2X()

    - #### g_V_localXoutE_limitX1X_inVX_limitX3X

          public void g_V_localXoutE_limitX1X_inVX_limitX3X()

    - #### g_VX1X_outXknowsX_outEXcreatedX_rangeX0_1X_inV

          public void g_VX1X_outXknowsX_outEXcreatedX_rangeX0_1X_inV()

    - #### g_VX1X_outXknowsX_outXcreatedX_rangeX0_1X

          public void g_VX1X_outXknowsX_outXcreatedX_rangeX0_1X()

    - #### g_VX1X_outXcreatedX_inXcreatedX_rangeX1_3X

          public void g_VX1X_outXcreatedX_inXcreatedX_rangeX1_3X()

    - #### g_VX1X_outXcreatedX_inEXcreatedX_rangeX1_3X_outV

          public void g_VX1X_outXcreatedX_inEXcreatedX_rangeX1_3X_outV()

    - #### g_V_repeatXbothX_timesX3X_rangeX5_11X

          public void g_V_repeatXbothX_timesX3X_rangeX5_11X()

    - #### g_V_asXaX_in_asXaX_in_asXaX_selectXaX_byXunfold_valuesXnameX_foldX_limitXlocal_2X

          public void g_V_asXaX_in_asXaX_in_asXaX_selectXaX_byXunfold_valuesXnameX_foldX_limitXlocal_2X()

      Scenario: limit step, Scope.local, >1 item requested, List input, List output

    - #### g_V_asXaX_in_asXaX_in_asXaX_selectXaX_byXunfold_valuesXnameX_foldX_limitXlocal_1X

          public void g_V_asXaX_in_asXaX_in_asXaX_selectXaX_byXunfold_valuesXnameX_foldX_limitXlocal_1X()

      Scenario: limit step, Scope.local, 1 item requested, List input, String output

    - #### g_V_asXaX_out_asXaX_out_asXaX_selectXaX_byXunfold_valuesXnameX_foldX_rangeXlocal_1_3X

          public void g_V_asXaX_out_asXaX_out_asXaX_selectXaX_byXunfold_valuesXnameX_foldX_rangeXlocal_1_3X()

      Scenario: range step, Scope.local, >1 item requested, List input, List output

    - #### g_V_asXaX_out_asXaX_out_asXaX_selectXaX_byXunfold_valuesXnameX_foldX_rangeXlocal_1_2X

          public void g_V_asXaX_out_asXaX_out_asXaX_selectXaX_byXunfold_valuesXnameX_foldX_rangeXlocal_1_2X()

      Scenario: range step, Scope.local, 1 item requested, List input, String output

    - #### g_V_asXaX_out_asXaX_out_asXaX_selectXaX_byXunfold_valuesXnameX_foldX_rangeXlocal_4_5X

          public void g_V_asXaX_out_asXaX_out_asXaX_selectXaX_byXunfold_valuesXnameX_foldX_rangeXlocal_4_5X()

      Scenario: range step, Scope.local, 1 item requested, List input, no items selected, stop traversal

    - #### g_V_asXaX_in_asXbX_in_asXcX_selectXa_b_cX_byXnameX_limitXlocal_2X

          public void g_V_asXaX_in_asXbX_in_asXcX_selectXa_b_cX_byXnameX_limitXlocal_2X()

      Scenario: limit step, Scope.local, >1 item requested, Map input, Map output

    - #### g_V_asXaX_in_asXbX_in_asXcX_selectXa_b_cX_byXnameX_limitXlocal_1X

          public void g_V_asXaX_in_asXbX_in_asXcX_selectXa_b_cX_byXnameX_limitXlocal_1X()

      Scenario: limit step, Scope.local, 1 item requested, Map input, Map output

    - #### g_V_asXaX_out_asXbX_out_asXcX_selectXa_b_cX_byXnameX_rangeXlocal_1_3X

          public void g_V_asXaX_out_asXbX_out_asXcX_selectXa_b_cX_byXnameX_rangeXlocal_1_3X()

      Scenario: range step, Scope.local, >1 item requested, Map input, Map output

    - #### g_V_asXaX_out_asXbX_out_asXcX_selectXa_b_cX_byXnameX_rangeXlocal_1_2X

          public void g_V_asXaX_out_asXbX_out_asXcX_selectXa_b_cX_byXnameX_rangeXlocal_1_2X()

      Scenario: range step, Scope.local, 1 item requested, Map input, Map output

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.